#!/usr/bin/env python

"""
Reproduce an icewm bug

This shows a tray icon in all window managers except icewm
"""

import sys
import gtk
import gobject

import pygtk
pygtk.require('2.0')

icon = gtk.StatusIcon()
icon.set_visible(True)
icon.set_from_file("./icon.png")

mainloop = gobject.MainLoop()
mainloop.run()
